#include <iostream>
#include <iomanip>

using namespace std;

struct Radnik {
    long A; //zarada
    double P; //porez
};

int main()
{
    long n;
    cin >> n;
    Radnik niz[n];
    double zarada[n];

    for (int i = 0; i < n; i++) {
        cin >> niz[i].A >> niz[i]. P;
    }

    for (int i = 0; i < n; i++) {
        double procenat = niz[i].P;
        double drzac = 0;
        for (int j = 0; j < n; j++) {
            if (procenat <= niz[j].P) {
                drzac += niz[j].A;
            }
        }
        zarada[i] = drzac * (procenat / 100);
    }

    double k;
    k = zarada[0];

    for (int i = 0; i < n; i++) {
        if (zarada[i] > k) {
            k = zarada[i];
        }
    }

    cout << fixed << std::setprecision(15) << k;
}